%define major   0
%define gmajor  1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gmajor}
%define devname %mklibname -d %{name}

Name:           accountsservice
Version:        0.6.43
Release:        %mkrel 2
Summary:        D-Bus interfaces for querying and manipulating user account information
Group:          System/Libraries
License:        GPLv3+
URL:            http://www.fedoraproject.org/wiki/Features/UserAccountDialog
Source0:        http://www.freedesktop.org/software/accountsservice/%{name}-%{version}.tar.xz
Patch1:		    accountsservice-0.6.37-gdm-custom-conf-path.patch
Patch2:		    accountsservice-0.6.40-exclude-apache-user.patch
#-----------------------------------------
BuildRequires: intltool
BuildRequires: gettext-devel
BuildRequires: vala-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gvfs0
BuildRequires: %{_lib}polkit1-devel
#-----------------------------------------
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:       polkit
Requires:       shadow-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
The accountsservice project provides a set of D-Bus interfaces for
querying and manipulating user account information and an implementation
of these interfaces, based on the useradd, usermod and userdel commands.

%files -f accounts-service.lang
%defattr(-,root,root)
%doc README AUTHORS
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_libexecdir}/accounts-daemon
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/users
%dir %{_localstatedir}/lib/AccountsService/icons
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/girepository-1.0/AccountsService-%{gmajor}.typelib

#--------------------------------------------------------------------

%package devel
Summary:        Development files for accountsservice-libs
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
The accountsservice-devel package contains headers and other
files needed to build applications that use accountsservice-libs.

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}-1.0
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/AccountsService-%{gmajor}.gir
%{_datadir}/gtk-doc/html/libaccountsservice


#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static --with-minimum-uid=500

%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang accounts-service


%clean
rm -rf %{buildroot}


%changelog
* Thu Mar 02 2017 bb2 <bb2> - 0.6.43-2pclos2017
- adjust build option

* Sat Jan 14 2017 bb <bb> 0.6.43-1pclos2017
- update

* Thu Jun 04 2014 bb <bb> 0.6.35-1pclos2014
- update

* Sat Oct 19 2013 billybot <billybot> 0.6.34-1pclos2013
- re-import into pclos for cinnamon
